---
search:
  tags:
    - customers
    - GET
seo:
  description: >-
    List customer signals. Reference for the GET
    /workspaces/{organizationId}/customers/{id}/signals endpoint in the Pile
    API.
sidebar:
  label: List customer signals
  badge: GET
title: List customer signals
type: openapi-operation
---
`GET /workspaces/{organizationId}/customers/{id}/signals`

**Responses**

- `200` — Customer signals, rank breakdown, and detective waterfall
- `404` — Customer not found

Response example, 200:

```json
{
  "customerId": "string",
  "signals": [
    {
      "property1": null,
      "property2": null
    }
  ],
  "breakdown": {
    "property1": null,
    "property2": null
  },
  "waterfall": [
    "string"
  ]
}
```
